using System;
using System.Drawing;
using AR;
using COMM;
namespace vmsnet
{
    public partial class FMain
    {
        DateTime sps_time_250ms = DateTime.Now;

        void SM_SPS(object sender, EventArgs e)
        {
            //초기화전에는 동작하지 않는다
            if (PUB.sm.Step < ESMStep.IDLE) return;

            SPS_Max();

            var ts250 = DateTime.Now - sps_time_250ms;
            if (ts250.TotalMilliseconds >= 249)
            {
                SPS_250ms();
                sps_time_250ms = DateTime.Now;
            }
        }
    }
}
